
Application: gvSIG desktop - gvSIG feature requests #4456
Geoproceso de desplazamiento de puntos.
06/02/2017 12:42 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Geoprocess
Target version: 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)
gvSIG version: 2.3.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

El geoproeso recibe un distancia y cuando encuentre puntos que estan en una misma ubicacion genera una nuve de puntos de forma
que estos no se superpongan.

Se inscribiran los puntos en una circunferencia con el radio indicado.

El geoproceso tambien recibira como parametro de entrada una tolerancia para determinar si se superponen los puntos o no.

Associated revisions
Revision 962 - 07/19/2017 08:25 AM - Francisco Díaz Carsí

refs #4456 Disperse points algorithm.

Revision 964 - 07/21/2017 08:01 PM - Francisco Díaz Carsí

refs #4456 Utilización de NavigableSet en DispersePointsOperation

History
#1 - 06/02/2017 12:43 PM - Joaquín  del Cerro Murciano

Una nota sobre el algoritmo a usar para desplazar los puntos.

public static Polygon createPolygon(int vertices, double angleOffset, Rectangle r) {
        if (vertices < 1) throw new IllegalArgumentException ("Vertices must be > 0");
        double step = 2 * Math.PI / vertices;
        int[] x = new int[vertices];
        int[] y = new int[vertices];
        int xrad = r.width / 2;
        int yrad = r.height / 2;
        for (int i = 0; i < vertices; i++) {
            x[i] = r.x + xrad + (int) (Math.cos(angleOffset + i * step) * xrad);
            y[i] = r.y + yrad + (int) (Math.sin(angleOffset + i * step) * yrad);
        }
        Polygon p = new Polygon(x, y, vertices);
        return p;
    }

#2 - 06/12/2017 02:53 PM - Álvaro Anguix
- Category set to Geoprocess

#3 - 07/19/2017 08:24 AM - Francisco Díaz Carsí
- % Done changed from 0 to 80
- Status changed from New to In progress

#4 - 07/21/2017 09:13 PM - Francisco Díaz Carsí
- % Done changed from 80 to 100
- Status changed from In progress to Fixed

#5 - 07/21/2017 09:14 PM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)

#6 - 07/26/2017 08:20 AM - Álvaro Anguix
- Status changed from Fixed to Closed
